*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.contenedor{
    height: 100vh;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    align-items: center;
}

h1{
    color: #fff;
    font-size: 40px;
}

.descripcion-principal{
    color: #fff;
    padding: 20px 50px;
    font-size: 18px;
}

.pokedex{
    width: 95%;
    max-width: 600px;
    height: 450px;
    background-color: rgb(149, 6, 35);
    /* background-color: #d30a40; */
    background-color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.poke-left{
    height: 90%;
    width: 263.5px;
    border: 2px solid #0d0e0d;
    margin: 15px 0 15px 15px;
    border-radius: 20px 0 0 20px;
    background-color: #d30a40;
    box-shadow: -5px 5px 0 #d30a40, -10px 10px 2px #b50937;
}

.poke-left-up{
    height: 15%;
    width: 100%;
    border-radius: 20px 0 0 0;
    background-color: crimson;
    background: linear-gradient(-25deg, rgb(149, 6, 35) 50%, crimson 50%);
    padding: 5px 5px;
    display: flex;
}

.border-light-sky{
    height: 50px;
    width: 50px;
    border-radius: 50%;
    border: 1.5px solid rgb(13, 217, 244);;
    background-color: rgb(158, 228, 237);
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 5px rgb(158, 228, 237);
    z-index: 3;
    margin-left: 5px;
}
.light-sky{
    height: 39px;
    width: 39px;
    border-radius: 50%;
    background-color: rgb(64, 250, 250);
    box-shadow: 0 0 5px 5px #90f7f3;
    border: 1px solid gray;
    z-index: 3;
    
}

.led-contenedor{
    display: flex;
    align-items: center;
    width: 100%;
    height: 20px;
    background: crimson;
    margin: -5px;
    padding: 15px 10px;
}

.led{
    height: 15px;
    width: 15px;
    border-radius: 50%;
    margin-left: 5px;
    border: 1px solid #000;
}

.led-red{
    background-color: rgb(216, 4, 4);
}

.brillo-led-red{
    background-color: rgb(255, 0, 0);
}

.led-yellow{
    background-color: rgb(180, 180, 2);
}

.brillo-led-yellow{
    background-color: yellow;
}

.led-green{
    background-color: rgb(1, 142, 1);
}

.brillo-led-green{
    background-color: rgb(1, 206, 1);
}

.brillo-led{
    height: 7px;
    width: 7px;
    border-radius: 50%;
    margin: 2px 2.5px;
}

.poke-left-body{
    border-top: 10px solid rgb(149, 6, 35);
    height: 250px;
    /* background-color: aqua; */
    display: flex;
    justify-content: center;
    align-items: center;
}

.poke-left-body-mark {
    position: relative;
    width: 90%;
    height: 85%;
    display: flex;
    justify-content: center;
    padding-top: 10px;
    flex-wrap: wrap;
    
}

/* sombra */
.poke-left-body-mark::before {
    content: "";
    position: absolute;
    inset: 0;
    background: #747376;
    border-radius: 10px 10px 10px 10px;
    transform: translate(-5px, 5px);
    clip-path: polygon(
        0 0,
        100% 0,
        100% 100%,
        40px 100%,
        0 calc(100% - 40px)
    );
}

/* elemento real */
.poke-left-body-mark::after {
    content: "";
    position: absolute;
    inset: 0;
    background: #e1e1e1;
    z-index: 4;
    border-radius: 10px 10px 10px 10px;
    border: 1px solid #000;
    clip-path: polygon(
        0 0,
        100% 0,
        100% 100%,
        40px 100%,
        0 calc(100% - 40px)
    );
}

.poke-display-top{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.small-led-red{
    height: 7px;
    width: 7px;
    background-color: #d30a40;
    border-radius: 50%;
    border: 1px solid #444;
    position: relative;
    z-index: 5;
}

.poke-display{
    height: 75%;
    width: 100%;
    margin: 1.5% 5% 0.5%;
    z-index: 5;
    background-color: #fff;
    background: #0daf3e;
    background-attachment: fixed;
    position: relative;
    border-radius: 10px 10px 10px 10px;
    box-shadow: inset 0 0 5px #000;
    /* padding: 5px; */
    font-size: 10px;
}


.poke-display-bottom{
    display: flex;
    justify-content: space-between;
    position: relative;
    width: 90%;
    z-index: 5;
    /* margin-top: -25px; */
    margin-left: 50px;
    /* background-color: #747376; */
}

.btn-red-display{
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background-color: #d30a40;
    border: 1px solid #111;
    position: relative;
    z-index: 5;
    margin-top: 10px;
}

.btn-lines-display{
    position: relative;
    z-index: 5;
    /* background-color: #13cb10; */
    height: 100%;
    width: 90%;
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    gap: 4px;
    padding: 10px 20px;

}

.btn-lines-display hr{
    width: 40%;
    height: 2.5px;
    border: none;
    background: #626262;
    border-radius: 9px;
    margin: 0;
}

.poke-left-bottom{
    width: 100%;
    height: 30px;
    /* background-color: blueviolet; */
    border-radius: 0 0 0 20px;  
}

.poke-left-bottom-top{
    /* background-color: rgb(10, 88, 189); */
    padding: 10px;
    width: 70%;
}

.poke-left-bottom-top-btn-black{
    height: 30px;
    width: 30px;
    border-radius: 50%;
    background-color: #2b2b2b;
    box-shadow: -2px 2.5px 0 #111;
    margin-top: -30px;
}
.poke-left-bottom-top-btn-red{
    height: 8px;
    width: 40px;
    border-radius: 5px;
    border: 1px solid #000;
    background-color: #cc0420;
    box-shadow: -2px 2.5px 0 #000000;
    margin-left: 45px;
    margin-top: -15px;
}
.poke-left-bottom-top-btn-blue{
    height: 8px;
    width: 40px;
    border-radius: 5px;
    border: 1px solid #000;
    background-color: #0b7082;
    box-shadow: -2px 2.5px 0 #000000;
    margin-left: 105px;
    margin-top: -7.5px;
}


.poke-left-bottom-bottom-center{
    height: 50px;
    width: 100px;
    background-color: #5fc480;
    border-radius: 4px;
    border: 1px solid #000;
    margin-left: 45px;
}


.poke-left-bottom-bottom-right{
    /* background-color: burlywood; */
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: flex-end;
}




.dpad-shadow {
  width: 55px;
  height: 55px;
  position: relative;
  margin-right: 20px;
  margin-top: -75px;
}

/* sombra (capa de atrás) */
.dpad-shadow::before {
  content: "";
  position: absolute;
  inset: 0;
  background: #0e0e0e;
  transform: translate(-5.5px, 5.5px);
  clip-path: polygon(
    35% 0%, 65% 0%,
    65% 35%, 100% 35%,
    100% 65%, 65% 65%,
    65% 100%, 35% 100%,
    35% 65%, 0% 65%,
    0% 35%, 35% 35%
  );
}

/* cruz real */
.dpad {
  width: 100%;
  height: 100%;
  background: #313131;
  position: relative;
  clip-path: polygon(
    35% 0%, 65% 0%,
    65% 35%, 100% 35%,
    100% 65%, 65% 65%,
    65% 100%, 35% 100%,
    35% 65%, 0% 65%,
    0% 35%, 35% 35%
  );
}

/* círculo central */
.center {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12px;
  height: 12px;
  transform: translate(-50%, -50%);
  background: #2a2a2a;
  border: 2px solid #111;
  border-radius: 50%;
}

.poke-center{
    height: 93%;
    width: 40px;
    background-color: #d30a40;
    border: 2px solid #0d0e0d;
    border-radius: 10px;
    box-shadow: inset 0 0 5px #740422;
    display: grid;
    align-content: space-between;
    padding: 50px 0;
}
.poke-center-line-top{
    height: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: space-around;
}

.poke-center-line-bottom{
    height: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: space-around;
}

.poke-center hr{
    width: 100%;
    height: 2.5px;
    border: 1.5px solid #111;
    background: #2fc90c;
    border-radius: 9px;
    z-index: 6;
}

.poke-right{
    height: 90%;
    width: 250px;
    background-color: #d30a40;
    border: 2px solid #0d0e0d;
    border-right: transparent;
    border-radius: 0 20px 20px 0;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
    position: relative;
}

.poke-right::before {
  content: "";
  position: absolute;
  bottom: 0;
  right: 0;
  width: 1px;
  height: 82%; /* porcentaje vertical */
  background: #111;
  transform: translateY(-13px);
  z-index: 99;
}


.poke-marco1{
    height: 40px;
    width: 100%;
    background-color: #333;
    margin-top: -10px;
    position: relative;
}

.poke-marco1::before{
  content: "";
  position: absolute;
  bottom: 5px;
  left: 0;
  height: 2.5px;
  width: 44.3%; /* ← el porcentaje que querés */
  background: #111;
  z-index: 4;
}

.poke-marco2{
    height: 30px;
    width: 100%;
    background: linear-gradient(25deg, #d30a40 55%, #333 50%);
    margin-top: -15px;  
    position: relative;

}

.poke-marco2::before {
  content: "";
  position: absolute;
  inset: 0;

  background: linear-gradient(
    25deg,
    transparent 54%,
    #111 54%,
    #111 56%,
    transparent 56%
  );
  z-index: 5;
}

.poke-marco3{
    height: 10px;
    width: 100%;
    background-color: #d30a40;
    margin-top: -10px;
    /* border-top: 2px solid #111; */
    position: relative;
}
.poke-marco3::before{
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  height: 2.5px;
  width: 32.2%; /* ← el porcentaje que querés */
  background: #111;
}



.poke-right-div1{
    height: 80px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.div1-box-big{
    height: 70px;
    width: 80%;
    background-color: #2a2a2a;
    border-radius: 5px;
    border: 1px solid #000;
}

.poke-right-div2{
    height: 80px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.div2-grilla{
    width: 80%;
    height: 70px;
    background-color: #22c4e9;
    border: 1px solid #000;
    border-radius: 5px;
    box-shadow: -3px 3px 0 #0f7f98;
    display: flex;
    flex-wrap: wrap;
}

.grilla{
    height: 50%;
    width: 20%;
    border-right: 1px solid #111;
    border-bottom: 1px solid #111;
}


.poke-right-div3{
    height: 20px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    padding-right: 30px;
    gap: 5px;
}

.btn-xs{
    width: 15%;
    height: 8px;
    background-color: #2a2a2a;
    border-radius: 7px;
    border: 1px solid #000;
}

.poke-right-div4{
    height: 50px;
    width: 100%;
    display: flex;
    /* justify-content: flex-start; */
    align-items: flex-start;
    padding-left: 30px;
    margin-bottom: -50px;
}

.btn-white{
    width: 50px;
    height: 25px;
    background-color: white;
    border: 1px solid #000;
    
}
.btn-white:nth-child(1){
    border-radius: 5px 0 0 5px;
    box-shadow: -2px 2px 0 #444, 0px 2px 0 #444;
}

.btn-white:nth-child(2){
    border-radius: 0 5px 5px 0;
    box-shadow: 0px 2px 0 #444;
}

.poke-right-div4-5{
    height: 7px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    padding-right: 30px;
}

.btn-gold{
    height: 25px;
    width: 25px;
    border-radius: 50%;
    background-color: olive;
    border: 1px solid #000;
    /* margin-top: -45px; */
}

.btn-gold-shine{
    height: 12px;
    width: 12px;
    background-color: rgb(187, 160, 4);
    border-radius: 50%;
    margin: 2px 2.5px;
}


.poke-right-div5{
    height: 100px;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.div5-box-med{
    height: 40px;
    width: 40%;
    background-color: #2a2a2a;
    border-radius: 10px;
    border: 1px solid #000;

}



/* poke display - inicia */


#pokemon-list{
    width: 100%;
    background-color: #22c4e9;
    border-radius: 10px;
    /* margin: -5px; */
}

/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* BODY */
body {
  font-family: 'Segoe UI', Arial, sans-serif;
  background: linear-gradient(135deg, #d32f2f, #7b1fa2);
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #333;
}

/* APP */
.app {
  width: 100%;
  max-width: 420px;
}

/* HEADER */
header {
  text-align: center;
  margin-bottom: 15px;
  color: white;
}

/* VISTAS */
.view {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 18px; /* 🔥 menos padding evita overflow */
  overflow-y: auto;
  display: none;
}

.view.active {
  display: block;
}

/* LISTA */
#list {
  list-style: none;
}

#list li {
  background: #f5f5f5;
  padding: 12px;
  margin-bottom: 10px;
  border-radius: 12px;
  cursor: pointer;
  transition: all 0.2s ease;
  font-weight: 500;
}

#list li:hover {
  background: #e0e0e0;
  transform: translateX(5px);
  box-shadow: 0 4px 10px rgba(0,0,0,0.15);
}

/* DETALLE */
#pokemon-detail {
  text-align: center;
  height: 100%;
  padding: 18px 0px;
}

/* BOTÓN VOLVER */
#back-btn {
  position: absolute;
  top: 0px;
  left: 0px;
  border: none;
  background: rgba(238, 238, 238, 0.5);
  padding: 6px 6px;
  border-radius: 50%;
  cursor: pointer;
  font-size: 10px;
  z-index: 10;
  font-weight: bold;
  font-family: fantasy;
}

#back-btn:hover {
  background: #ddd;
}

/* CARD */
#details {
  margin-top: -17px;
  /* background: #0daf3e; */
  /* background-attachment: fixed; */
  padding: 10px;
  border-radius: 10px;
  box-shadow: inset 0 0 10px rgba(0,0,0,0.05);
  /* max-height: calc(100% + 35px); */
  /* overflow-y: auto; */
  display: flex;
  flex-direction: column;
  align-items: center;
  /* gap: 8px; */
}

/* imagen*/
#details img {
  width: 80px; 
  height: 80px;
  object-fit: contain;
  filter: drop-shadow(0 4px 8px rgba(0,0,0,0.2));
}

/* NOMBRE */
#details h2 {
  margin: 0;
  font-size: 14px;
  font-weight: 700;
  text-align: center;
}

/* INFO */
#details p {
  margin: 3px 0;
  font-size: 12px;
  text-align: left;
  width: 100%;
}

/* TIPOS */
.type {
  display: inline-block;
  background: #ddd;
  padding: 3px 8px;
  border-radius: 20px;
  margin: 2px;
  font-size: 10px;
}

/* SCROLL */
.view::-webkit-scrollbar {
  width: 6px;
}

.view::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 10px;
}

/* ANIMACIÓN */
.view {
  animation: fadeIn 0.25s ease;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
/* poke display - fin */

.contenedor {
  position: relative;
}

/* Imagen izquierda (ash) */
.contenedor::before {
  content: "";
  position: absolute;
  left: 50px;
  bottom: 0px;
  width: 400px;
  height: 400px;
  background-image: url("img/ash.png");
  background-size: contain;
  background-repeat: no-repeat;
  display: none;
}

/* Imagen derecha (oak) */
.contenedor::after {
  content: "";
  position: absolute;
  right: 0px;
  top: 250px;
  width: 400px;
  height: 400px;
  background-image: url("img/oak.png");
  background-size: contain;
  background-repeat: no-repeat;
  display: none;
}

/* Desde 1080px → aparece la izquierda */
@media (min-width: 1200px) {
  .contenedor::before {
    display: block;
  }
  
}

/* Desde 1500px → aparece también la derecha */
@media (min-width: 1400px) {
  .contenedor::after {
    display: block;
  }
}




.btn-api {
  display: block;
  padding: 12px 24px;
  background: linear-gradient(135deg, #4f46e5, #06b6d4);
  color: white;
  text-decoration: none;
  font-size: 16px;
  font-weight: 600;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
  transition: all 0.25s ease;
  letter-spacing: 0.5px;
  position: relative;
  margin: 20px 40%;
}

/* Hover */
.btn-api:hover {
  transform: translateY(-3px);
  box-shadow: 0 12px 25px rgba(0, 0, 0, 0.3);
  filter: brightness(1.1);
}

/* Click */
.btn-api:active {
  transform: translateY(0px);
  box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
}
